Subject: Re: bug#29346: dwim transpose-subr opportunity?

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 10 Aug 2020 16:10:54 +0200

Eli Zaretskii <[email-masked]> writes:

>> It gets a bit silly as suggested though, I guess the logic should be
>> something like (or (= arg 0) (and transpose-dwim (use-region-p)))
>
> Maybe.  But I wonder why this relatively rare use case is so important
> as to mandate a new defcustom, whose only purpose is to save the user
> from typing M-0 or "C-u 0".  Just because people didn't read the doc
> string and therefore didn't know about the special meaning of an
> argument of zero?  But then they will not know about the proposed
> magic, either.

I think the conclusion here was that it didn't seem worth it to add a
new variable to control this behaviour (since `M-0' easy to type), so
I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no